com.sun.jna.platform.win32

## Class OaIdl.FUNCDESC

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.FUNCDESC

Direct Known Subclasses:
  OaIdl.FUNCDESC.ByReference

Enclosing interface:
  OaIdl

    @Structure.FieldOrder(value={"memid","lprgscode","lprgelemdescParam","funckind","invkind","callconv","cParams","cParamsOpt","oVft","cScodes","elemdescFunc","wFuncFlags"})
    public static class OaIdl.FUNCDESC
    extends Structure

### Nested Class Summary

Nested Classes
`static class` `OaIdl.FUNCDESC.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`OaIdl.CALLCONV` `callconv`
`WinDef.SHORT` `cParams`
`WinDef.SHORT` `cParamsOpt`
`WinDef.SHORT` `cScodes`
`OaIdl.ELEMDESC` `elemdescFunc`
`OaIdl.FUNCKIND` `funckind`
`OaIdl.INVOKEKIND` `invkind`
`OaIdl.ElemDescArg.ByReference` `lprgelemdescParam`
`OaIdl.ScodeArg.ByReference` `lprgscode`
`OaIdl.MEMBERID` `memid`
`WinDef.SHORT` `oVft`
`WinDef.WORD` `wFuncFlags`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`FUNCDESC()`
`FUNCDESC(Pointer pointer)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### memid

    public OaIdl.MEMBERID memid

#### lprgscode

    public OaIdl.ScodeArg.ByReference lprgscode

#### lprgelemdescParam

    public OaIdl.ElemDescArg.ByReference lprgelemdescParam

#### funckind

    public OaIdl.FUNCKIND funckind

#### invkind

    public OaIdl.INVOKEKIND invkind

#### callconv

    public OaIdl.CALLCONV callconv

#### cParams

    public WinDef.SHORT cParams

#### cParamsOpt

    public WinDef.SHORT cParamsOpt

#### oVft

    public WinDef.SHORT oVft

#### cScodes

    public WinDef.SHORT cScodes

#### elemdescFunc

    public OaIdl.ELEMDESC elemdescFunc

#### wFuncFlags

    public WinDef.WORD wFuncFlags

### Constructor Detail

#### FUNCDESC

    public FUNCDESC()

#### FUNCDESC

    public FUNCDESC(Pointer pointer)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.